[REL] rFactor2 Log Analyzer ver. 2. With offline and league Championship Manager

Discussion in 'Other' started by Nibo, Apr 15, 2015.

  1. MileSeven

    MileSeven Registered

    Joined:
    Apr 1, 2014
    Messages:
    652
    Likes Received:
    257
    Thanks.

    There has been a suggestion that it might have been because I changed car during the session. BUT (big but…) all I actually did was exit, apply a skin to the existing car and then rejoin. As far as rf2 was concerned, the car identifier wouldn’t have changed I believe….?
     
  2. Nibo

    Nibo Registered

    Joined:
    Oct 12, 2010
    Messages:
    2,289
    Likes Received:
    1,020
    I think so. But I don't actually remember for sure if rF2 saves data for player that existed before rejoin. It might.
     
  3. DanRZ

    DanRZ Registered

    Joined:
    Aug 22, 2021
    Messages:
    758
    Likes Received:
    246
    rF2 saves all data, but r2la registers only the first session of a driver by his Name.
    There is a warning in the page of Results when you select the session saying multiple session for driver or something equivalent.
    Edit the xml, search for /Name> and list all entries. If some are multiples, add @1 @2 etc. after the name and refresh r2la. The entry will now appear with Name @1 ...
     

    Attached Files:

    MileSeven and Nibo like this.
  4. Nibo

    Nibo Registered

    Joined:
    Oct 12, 2010
    Messages:
    2,289
    Likes Received:
    1,020
    Ah yes, I remember that now.
     
  5. DanRZ

    DanRZ Registered

    Joined:
    Aug 22, 2021
    Messages:
    758
    Likes Received:
    246
    Hello, just noticed some weirdness in results ...

    On the last race at Laguna Seca > http://rf2.dedicated.danrazor.net:8000/default
    a driver (Subby 555) asked me why he has 3 "vehicle" incidents.

    He said he had only one contact and he was right.
    Other incidents are actually OK (13 with immovable objects).

    There should be only 2 incidents and in fact only 1 considering the "self" incident.

    @Nibo Do you know why there are 3 incidents registered ? It looks like some kind of counting error ...
    The xml file is joined to this post (Renamed in .txt).

    And i will ask what the "self" incident is ... It also look like a wrong registering in logs by rF2.

    Thanks.
     

    Attached Files:

  6. Nibo

    Nibo Registered

    Joined:
    Oct 12, 2010
    Messages:
    2,289
    Likes Received:
    1,020
    I don't know why rF2 reporting contact with the same car...
    But there should be 2 vehicle incidents, strictly speaking, I agree. I just count the number player name is included in <incident> tags. And both cars reporting the same contact. I will think if I can make it to count this as one contact for a driver, but I'm not sure.
    Right now its like this:
    Code:
    0:24:59.6 Jean-Claude Boukobza(8) reported contact (1196.40) with another vehicle Subby 555(7)
    +1 with cars
    0:24:59.6 Subby 555(7) reported contact (1212.06) with another vehicle Subby 555(7)
    +1 with cars
    0:24:59.6 Subby 555(7) reported contact (1212.06) with another vehicle Jean-Claude Boukobza(8)
    +1 with cars
     
    DanRZ likes this.
  7. Nibo

    Nibo Registered

    Joined:
    Oct 12, 2010
    Messages:
    2,289
    Likes Received:
    1,020
    Updated to rF2 Log Analyzer ver. 2.1.021
    • Improved incident count in race reports for vehicle contacts. Vehicle contacts with self are ignored. Contacts between two cars count as one for each car instead of two for each car before.
     
    yashiman, DanRZ, jayarrbee36 and 2 others like this.
  8. Jesus Piña Garcia

    Jesus Piña Garcia Registered

    Joined:
    Apr 26, 2021
    Messages:
    34
    Likes Received:
    1
    Good morning Nibo, do you know what I must install for the most recent versions of r2la to work, only 2.058.45 works for me, when I try with a more recent one it doesn't work
     
  9. Nibo

    Nibo Registered

    Joined:
    Oct 12, 2010
    Messages:
    2,289
    Likes Received:
    1,020
  10. Jesus Piña Garcia

    Jesus Piña Garcia Registered

    Joined:
    Apr 26, 2021
    Messages:
    34
    Likes Received:
    1
    I have all versions I think, but I get this

    C:\1>r2la.bat

    C:\1>cd web2py

    C:\1\web2py>web2py.exe
    Python path configuration:
    PYTHONHOME = (not set)
    PYTHONPATH = (not set)
    program name = 'C:\1\web2py\web2py.exe'
    isolated = 0
    environment = 0
    user site = 1
    import site = 0
    sys._base_executable = '\u9d18x\u6170x'
    sys.base_prefix = ''
    sys.base_exec_prefix = ''
    sys.platlibdir = 'lib'
    sys.executable = '\u9d18x\u6170x'
    sys.prefix = ''
    sys.exec_prefix = ''
    sys.path = [
    'C:\\1\\web2py\\lib\\library.zip',
    'C:\\1\\web2py\\lib',
    ]
    Fatal Python error: init_fs_encoding: failed to get the Python codec of the file
    system encoding
    Python runtime state: core initialized
    Traceback (most recent call last):
    File "<frozen importlib._bootstrap_external>", line 1372, in _path_importer_ca
    che
    KeyError: 'C:\\1\\web2py\\lib\\library.zip'

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "<frozen zipimport>", line 93, in __init__
    KeyError: 'C:\\1\\web2py\\lib\\library.zip'

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
    File "<frozen importlib._bootstrap>", line 1002, in _find_and_load_unlocked
    File "<frozen importlib._bootstrap>", line 945, in _find_spec
    File "<frozen importlib._bootstrap_external>", line 1439, in find_spec
    File "<frozen importlib._bootstrap_external>", line 1408, in _get_spec
    File "<frozen importlib._bootstrap_external>", line 1374, in _path_importer_ca
    che
    File "<frozen importlib._bootstrap_external>", line 1350, in _path_hooks
    File "<frozen zipimport>", line 95, in __init__
    File "<frozen zipimport>", line 513, in _read_directory
    File "<frozen importlib._bootstrap_external>", line 104, in _path_join
    SystemError: Negative size passed to PyUnicode_New
     
  11. Nibo

    Nibo Registered

    Joined:
    Oct 12, 2010
    Messages:
    2,289
    Likes Received:
    1,020
    Don't know why this is happening. Googling does not offer good explanation. Maybe exe can not access some files in r2la dir. Make sure you've unzipped all r2la files correctly and nothing is blocking exe (bat) from running, like antivirus. Try starting bat file as an administrator.
     
  12. DanRZ

    DanRZ Registered

    Joined:
    Aug 22, 2021
    Messages:
    758
    Likes Received:
    246
    Hello. I have a request. How can i integrate a page with a different LiveTiming in the Live page ?
    Or maybe just add one "free" page in the Header at top ...

    I found a beautiful Livetiming with trackmap from Github and would love to integrate it in r2la.
    Plugin > https://github.com/mbeader/rf2livetiming-plugin
    WebServer (node) > https://github.com/mbeader/rf2livetiming

    The page i want to insert : http://rf2.dedicated.danrazor.net:8080/map_frame
    (Home http://rf2.dedicated.danrazor.net:8080/ ).

    I tried to add it just after the "line" in Live but i think i can't do it ... see screenshot for what i want to achieve.
    It would be great to get some kind of iframe, that can be enabled to add another web page like the banner but with an iframe "integrated".

    ;)
     

    Attached Files:

  13. Jesus Piña Garcia

    Jesus Piña Garcia Registered

    Joined:
    Apr 26, 2021
    Messages:
    34
    Likes Received:
    1
    Friend, don't you know if it works for rfactor?
     
  14. Hello

    I get an index error (also when I try to set up newest r2la and setting rfactor 2 folder) - I also deleted the latest logs in userdata\log\results ... with no change.

    Can somebody point me in the direction to look for or is the error known (last line, index out of range):


    Code:
    Traceback (most recent call last):
      File "C:/Coding/Python/web2py/applications/r2la\compiled\controllers.default.index.py", line 79, in index
      File "C:\Program Files (x86)\Steam\steamapps\common\rFactor 2\rF2 Log Analyzer ver. 2.1.014\web2py\applications\r2la\modules\la_core.py", line 380, in auto_refresh
        import_logs()
      File "C:\Program Files (x86)\Steam\steamapps\common\rFactor 2\rF2 Log Analyzer ver. 2.1.014\web2py\applications\r2la\modules\la_core.py", line 324, in import_logs
        compounds=info[i]['compounds_bylap'][info[i]['fastest_lap_num']-1],
    IndexError: list index out of range
    Thanks in advance.

    edit: this is the URL https://simracingjustfair.duckdns.org:8000/live

    I get the error on tracks and hosted championship - all other things are working as expected
     
    Last edited by a moderator: Oct 14, 2023
  15. Nibo

    Nibo Registered

    Joined:
    Oct 12, 2010
    Messages:
    2,289
    Likes Received:
    1,020
    StoneRacing, this looks like a result of me adding compound info to track records and not enough testing data to see all cases that can cause an error. Some of your logs probably contains abnormal data. Can you zip your /Results folder with log files and send it to me?
     
  16. Thanks for your fast reply - I am not quiet sure, but I think it started around 10th or 11th of this months; there is another r2la running on port 8001 without any problems, but it is running on NoS only.

    Last track I have added to the servers of our community was Maastricht - maybe it began right after that, but I am sure there was a lap recorded and displayed first.


    Logifles as zip (I removed cbash and shaders because of its sizes) https://simracingjustfair.duckdns.org:8000/log.zip
     
  17. Nibo

    Nibo Registered

    Joined:
    Oct 12, 2010
    Messages:
    2,289
    Likes Received:
    1,020
    I can not download zip from that link, invalid request error. Maybe use some filesharing service.
     
  18. Nibo

    Nibo Registered

    Joined:
    Oct 12, 2010
    Messages:
    2,289
    Likes Received:
    1,020
    The problem is with the file 2023_10_08_19_47_17-98Q1.xml, because of abnormal <driver> tag content for "speddy99". There was a command issued by admin:"/changelaps -7 speddy99" and this apparently erased all lap data, but left best player lap there. I'll try to issue a fixed version of r2la for cases like this. For now you can move this file out of Results directory somewhere and "refresh" r2la or start r2la from scratch if refresh is not working.
     
    Deleted member 58016 likes this.
  19. Ah - thanks for your help.

    I remember as I entered the command - we had an issue with maximum allowed laps in qualifying for somewhat reason as we get out of garage and after finishing the out lap we had already 5 laps counted :-(

    I tried to solve this with executing the changelaps command, but I did not fix it.

    I will remove the file and give feedback.
     

Share This Page